"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var route_1 = require("./route");
var redis = require("redis");
var IndexRoute = (function (_super) {
    __extends(IndexRoute, _super);
    function IndexRoute() {
        var _this = _super.call(this) || this;
        _this.client = redis.createClient();
        return _this;
    }
    IndexRoute.create = function (router) {
        console.log("[IndexRoute::create] Creating index route.");
        router.get("/", function (req, res, next) {
            new IndexRoute().index(req, res, next);
        });
    };
    IndexRoute.prototype.index = function (req, res, next) {
        this.title = "Filter";
        var options = {
            "niz": "<prazen niz>",
            "vsebujeIme": 0,
            "vsebujePriimek": 0,
            "vsebujeUlico": 0,
            "vsebujeObliko": 0,
            "vsebujeDavcno": 0,
            "vsebujeMaticno": 0,
            "vsebujePravilo": 0,
            "najdeniFiltri": []
        };
        this.render(req, res, "index", options);
    };
    return IndexRoute;
}(route_1.BaseRoute));
exports.IndexRoute = IndexRoute;
